Bug 47680 - Mouse Pointer Problem When Entering X
Mouse Pointer Problem When Entering X
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-06 10:06 EDT by Need Real Name
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-01 03:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-06 10:06:26 EDT
Description of Problem:

How Reproducible:

Steps to Reproduce:
1. Cold boot system with mouse plugged in
2. log on, any user will do
3. startx
4. mouse pointer behaviour becomes erratic.

Actual Results:
The mouse pointer behaviour becomes erratic and at times disappears of the 
screen when the mouse is lifted or moved off the mouse pad.

Expected Results:
Mouse pointer should move according to the movement of my hand on the 

Additional Information:
The problem goes away once the mouse is unplugged and replugged while X 
windows is running.  I can then stop X windows, restart and no further 
problems exist.  The problem only happens after starting x windows after a 
cold boot.
Comment 1 Bill Nottingham 2001-07-06 11:48:39 EDT
assigning to XFree86 (it's at least more relevant.)
Comment 2 Alexei Podtelezhnikov 2001-07-06 13:23:41 EDT
This might be due to misconfiguration. You have to find out which protocol your 
mouse is supported by. Generic "ps/2" is for examle a bad choice 
for "intellimouse". As a reward of digging this information out you might even 
get the wheel to work properly.

So what's the exact model of your mouse?
Comment 3 Need Real Name 2001-07-07 10:31:07 EDT
Interestingly enough it is an intellimouse PS/2 with wheel and config was set 
to intellimouse PS/2 when I was having the problems.  I've given up on the 
wheel working as even in windows I found it to be of not much worth.  In any 
case, I've since changed the configuration to be Generic PS/2 mouse without 3rd 
button emulation and it appears to work fine.  Go figure....  I guess it was 
not a bug after all.  Simply a correct configuration that was fixed with a 
misconfiguration. :)

Thanks for your help!
J. Gomes
Comment 4 Mike A. Harris 2001-07-13 15:18:05 EDT
If the wheel does not work, it is either a bug in X, a misconfiguration,
or a bad mouse or hardware problem.

I am banking on either #1 or #2, however you sound to have configured it
correctly.  Can you reconfigure it as Intellimouse PS/2 and try it, then
attact your X server logs and config file?  There may be a bug in the
mouse driver, and if so, I'd like to fix it.
Comment 5 Mike A. Harris 2001-07-13 15:23:49 EDT
Also, could you please give the exact model of mouse, number of buttons,
any model number, etc..  That might come in handy.
Comment 6 Need Real Name 2001-07-16 03:52:47 EDT
No problem, I can reconfigure it again later tonight when I get home.  The only 
problem is that I've only begun delving into Linux recently ( oh no! not 
another dreaded newbie! ) and am not familiar with which file is which.  So, 
although I'm more than happy to help if I can, you'll have to give me the names 
of the exact X config and log files that you're looking for.

As for the mouse, it is an Intellimouse PS/2.  It has two buttons and a wheel.  
The part number is 68874.  When it didn't work, I had it configured as an 
intellimouse PS/2 and had it emulating 3 button support and now it is a Generic 
PS/2 and is not emulating 3 button support. Maybe the 3 button support had 
something to do with the problem.  I'll check later and let you know.

Comment 7 Need Real Name 2001-07-16 07:09:40 EDT
Ok, I've now had a chance to play around with the setup a bit and have come to 
the following conclusions:

1.  The problem has nothing to do with X windows.  I thought it did because the 
first time I began to move the mouse was after X windows startup.  If I move 
the mouse while still at the login screen, the problem already exists ( after a 
cold boot ).

2.  The 3 button hypotheses I put for earlier is wrong.  3 button emulation has 
nothing do to with the problem.

3.  The mouse works fine if I select Generic PS/2 with or without 3 button 

4.  The mouse does not function probably, in or out of X when I set it to 
intellimouse PS/2 with or without 3 button emulation.  If I unplug and replug 
the mouse, it then appears to work fine.

As for the mouse, it's been around for a few years ( could be one of the first 
ones out on the market back in the mid 90's ).  Maybe it's old and the driver 
was based on a newer version, but all indications seem to point to the 
intellimouse driver being the problem.

If I can help more, please let me know.
Comment 8 Need Real Name 2001-08-01 03:34:44 EDT
Is anything further happening with this?

Comment 9 Mike A. Harris 2001-08-01 04:01:56 EDT
Ok, I'll address each point above:

1) If the problem has nothing to do with X windows (XFree86), then it isn't
something that I can help with because this is now filed against XFree86.  ;o)

3) The mouse works fine, great, problem is solved.  Not sure why you
haven't closed the report though..

4) Don't set it to Intellimouse then.  Set it to what works, and leave it there.
If it works, there is no problem.

For your last message, what would you like to happen?  You've reported a
bug, then showed that it was only a misconfiguration, and now claim your
mouse works when set to Generic PS/2.  I don't see any problem that needs

Just to clarify some things that you may or may not realize right now:
In console text mode, there is a single mouse driver program called gpm
which provides mouse support in text mode only.  gpm is completely separate
from XFree86 and the mouse services gpm provides have nothing to do with X
at all.  The mouse type you tell GPM to use at the console may or may not
be the same type you specify to XFree86.  The two pieces of software are
not created from the same source and so they name things differently.

XFree86 has a single mouse driver as well.  That mouse driver handles
all mice.  When you specify the mouse type to XFree86 in its configuration
file, you choose the codepath that will be followed in the mouse driver
which will be for the chosen mouse type.

The mouse setting you choose for gpm, and the setting you choose for X can
be worded similarly such as "microsoft" or they can be quite different,
such as "mouseman" for gpm, and "pnp" for X.  There is no standard 
corelation between the names of mouse types used by gpm and XFree86.

If you configure your mouse to some type and it does not work, try a
different mouse type until you get it to work.  The mouseconfig
program et al. try to simplify this process, but one must still choose
the correct mouse type or else you may experience problems.  Also,
to complicate matters, there are occasionally conflicts with running
XFree86 and gpm simultaneously, so if you encounter this, try disabling
gpm before starting X or reconfiguring gpm to use a different mouse type.
Many mice will work with more than one mouse type both in GPM and in X.

Experimentation will find the correct mouse settings.  If you disable
gpm entirely and cannot configure your mouse correctly with any of the
mouse types listed on the XFree86 mouse manpage (man -a 4 mouse),
then there may be a valid bug that needs looking into in the XFree86
mouse driver.  However if one of the listed mouse types work, then there
is no bug in my eyes.

If you need technical support for configuration, please try either the
xpert@xfree86.org mailing list, or our own seawolf-list@redhat.com mailing

I hope this info is helpful to you for solving your mouse configuration

Take care.
Comment 10 Need Real Name 2001-08-01 04:14:20 EDT
As far as I'm concerned it can be closed.  My mouse works fine.  The only 
reason I sent in all the information was because it was requested ( see post 
below ):

------- Additional comments from mharris@redhat.com 2001-07-13 15:18:05 -------
If the wheel does not work, it is either a bug in X, a misconfiguration,
or a bad mouse or hardware problem.

I am banking on either #1 or #2, however you sound to have configured it
correctly.  Can you reconfigure it as Intellimouse PS/2 and try it, then
attact your X server logs and config file?  There may be a bug in the
mouse driver, and if so, I'd like to fix it.
------- Additional comments from mharris@redhat.com 2001-07-13 15:23:49 -------
Also, could you please give the exact model of mouse, number of buttons,
any model number, etc..  That might come in handy.

Basically, I'm still following up on it because of the line above that 
states "There may be a bug in the mouse driver, and if so, I'd like to fix 
it."  If you guys have now changed your mind and don't want to fix it 
anymore...that's fine with me, just close it.  But I wouldn't close it as 
NOTABUG because there is a bug, just a lack of initiative to fix it.

Hang Loose!
Comment 11 Mike A. Harris 2001-08-01 04:59:21 EDT
Yes, but one other thing I missed is that it could be a supported mouse
but with unsupported features.  The mouse manpage for X can guide you through
trying to set up your mouse however you like.  There are however mice with
features that are not supported.  The mouse wheel works on any mouse I've
used, but that doesn't necessarily mean that they all are supported.
As long as the basic functionality of a mouse works, then I consider it
working.  This includes movement, and 2 or 3 buttons depending on type.
A lot of mice have a wheel, and that works also, but there may be others
that do not work.  Not necessarily a bug though.  It is not possible to

If you try all the various mouse types and options and cannot get all your
mouse's features to work, I would suggest emailing the xpert@xfree86.org
mailing list for help.  While I would love to add any missing support
that there might be missing, I do not consider it a bug if the mouse
works.  New features that may be missing such as a mousewheel support on a
particular mouse, should be requested via the XFree86 team, as it is
ultimately their project.  While we do contribute code, considering the list
of open bugs, etc. such a feature would be very low priority for me to
work on.  Bug fixes, particularly with video drivers get much higher
priority.  Although it would likely be fun to work on some input device
stuff.  ;o)

Good luck,
take care,

Note You need to log in before you can comment on or make changes to this bug.